<% rich_snippets = @product.yotpo_rich_snippets() %>
<%
  if @product.variants.count == 0
    offer_count = 1
    low_price = @product.price.to_s
    high_price = @product.price.to_s
  else
    offer_count = @product.variants.count
    first = @product.variants.to_a.first
    last = @product.variants.to_a.last
    low_price = @product.variants.first.price.to_s
    high_price = @product.variants.last.price.to_s
  end
%>
<% if rich_snippets.present? && rich_snippets['response']['bottomline']['average_score'].to_i > 0 %>
  <span class="aggregateRating no-display" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
    <meta itemprop="ratingValue" content="<%= rich_snippets['response']['bottomline']['average_score'] %>" />
    <meta itemprop="bestRating" content="5" />
    <meta itemprop="worstRating" content="1" />
    <meta itemprop="reviewCount" content="<%= rich_snippets['response']['bottomline']['total_reviews'] %>" />
  </span>
<% end %>
  <span class="aggregateOffer no-display" itemprop="offers" itemscope itemtype="http://schema.org/AggregateOffer">
    <meta itemprop="lowPrice" content="<%= low_price %>" /> 
    <meta itemprop="highPrice" content="<%= high_price %>" />
    <meta itemprop="offerCount" content="<%= offer_count %>" />
    <meta itemprop="priceCurrency" content="<%= current_currency %>"/>
  </span>
  